#include <Servo.h>
// This code moves a servo motor 
// This are analog actuators and the control library makes use 
// of Pulse Width Modulation techniques which means
// we need to connect the actuation PIN to a PWM able GPIOs
// PWM GPIOs are marked with the ~ character after the number


// Note that the servo only moved half of a circle. That is 180 degrees only


// initialize the library to control the servo motor
Servo myservo;  // create servo object to control a servo


int pos = 0;    // variable to store the servo position

void setup() {
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  // Note GPIO number 9 is a PWM pin
   delay(1500);  // in milli-seconds (ms)
}

void loop() {
  for (pos = 0; pos <= 180; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 180; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
}